@keyframes fadeInDown {
  from {
    opacity: 0;
    transform: translate3d(0, -100%, 0);
  }
  to {
    opacity: 1;
    transform: none;
  }
}

.jw-toast--fade-in-down {
  animation-name: fadeInDown;
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

.jw-toast--fade-out {
  animation-name: fadeOut;
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 150ms ease-out;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}

.jw-toast {
  @apply fixed inset-0 p-6 overflow-hidden font-gotham text-gray-800 !z-[10000000] pointer-events-none;
}

.jw-toast__item-wrapper {
  animation-duration: 150ms;
}

.jw-toast__item {
  @apply mb-3 inline-flex items-center py-3 md:py-3.5 px-4 border rounded text-sm md:text-base pointer-events-auto;
}

.jw-toast__item--success {
  @apply bg-green-50 border-green-500;
}

.jw-toast__item--success a {
  @apply text-purple-300;
}

.jw-toast__item--error {
  @apply bg-[#FFF1F2] border-[#EB5757];
}

.jw-toast__item--warning {
  @apply bg-yellow-50 border-yellow-400;
}

.jw-toast__item--info {
  @apply bg-blue-50 border-blue-400;
}
